
Infrastructure - Task #4725

Story # 4708 (Closed): Test CN on Ubuntu 12.04

Update cn-dev-orc-1 to ubuntu 12.04

2014-04-14 23:48 - Jing Tao

Status: Closed Start date: 2014-04-14

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.7   

Description

Please see the note on https://redmine.dataone.org/issues/4467.

It has the notes for update os and other softwares. The software include tomcat7, openjdk7 and postgresql 9.1. 

Tomcat7 and openjdk7 don't come with the os upgrading. We need to install them separately. Postgresql9.1 does come with the os

upgrade. But we need to migrate the data from 8.4 to 9.1.

Beside those three components, do we have other components need to be installed separately?   

History

#1 - 2014-04-23 20:45 - Jing Tao

- Subject changed from Update stage-orc-2 to ubuntu 12.04 to Update cn-dev-orc-1 to ubuntu 12.04

David made a snapshot of the vm today. If we want to roll back, he can help me out.

#2 - 2014-04-23 21:01 - Jing Tao

On Ubuntu 10.04, the default slapd version is 2.4.21-0ubuntu5.7

On Ubuntu 12.04, the default slapd version is 2.4.28-1.1ubuntu4.

The Ubuntu 14.04 has 2.4.31-1+nmu2ubuntu8

They are all minor releases.  So i think it is not necessary to update the ldap server. If we really want, maybe we can postpone to process of

upgrading to Ubuntu 14.04. 

#3 - 2014-06-30 22:13 - Robert Waltz

- Target version set to 2014.26-Block.4.1

#4 - 2014-06-30 22:14 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0

- Category set to d1_cn_buildout

- Product Version changed from * to 1.2.7

- Milestone changed from None to CCI-1.2

- Status changed from New to Closed

- Assignee set to Jing Tao
